Package tigase.stats.collector.provider

## Class StatisticsUploader

- java.lang.Object
- - tigase.stats.collector.provider.StatisticsUploader

-     public class StatisticsUploader
      extends java.lang.Object

  Class used to upload statistics to remote consumer.
  Author:
    andrzej

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `StatisticsUploader.ResultCallback` | Interface for handling results of uploading statistics

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ERROR_QUERY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatisticsUploader​(tigase.stats.collector.ElementSigner signer)` |
    `StatisticsUploader​(tigase.stats.collector.ElementSigner signer, java.lang.String url, boolean returnError)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `upload​(tigase.stats.collector.StatisticsData data, StatisticsUploader.ResultCallback callback)` | Upload data and notify about result using callback

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ERROR_QUERY

          public static final java.lang.String ERROR_QUERY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StatisticsUploader

          public StatisticsUploader​(tigase.stats.collector.ElementSigner signer)

    - #### StatisticsUploader

          public StatisticsUploader​(tigase.stats.collector.ElementSigner signer,
                                    java.lang.String url,
                                    boolean returnError)

  - ### Method Detail

    - #### upload

          public void upload​(tigase.stats.collector.StatisticsData data,
                             StatisticsUploader.ResultCallback callback)

      Upload data and notify about result using callback